%define anolis_release 1
Summary: X.Org X11 libXmu/libXmuu runtime libraries
Name: libXmu
Version: 1.1.4
Release: %{anolis_release}%{?dist}
License: MIT
URL: http://www.x.org

Source0: https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.xz

BuildRequires: make
BuildRequires: xorg-x11-util-macros
BuildRequires: xmlto
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xextproto)
BuildRequires: pkgconfig(xt)

%description
X.Org X11 libXmu/libXmuu runtime libraries

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: X.Org X11 libXmu development package
Requires: %{name} = %{version}-%{release}

%description devel
X.Org X11 libXmu development package

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

# fixup later
rm -rf $RPM_BUILD_ROOT%{_docdir}

%files
%license COPYING
%{_libdir}/libXmu.so.*
%{_libdir}/libXmuu.so.*

%files doc
%doc README.md ChangeLog

%files devel
%dir %{_includedir}/X11/Xmu
%{_includedir}/X11/Xmu/Atoms.h
%{_includedir}/X11/Xmu/CharSet.h
%{_includedir}/X11/Xmu/CloseHook.h
%{_includedir}/X11/Xmu/Converters.h
%{_includedir}/X11/Xmu/CurUtil.h
%{_includedir}/X11/Xmu/CvtCache.h
%{_includedir}/X11/Xmu/DisplayQue.h
%{_includedir}/X11/Xmu/Drawing.h
%{_includedir}/X11/Xmu/Editres.h
%{_includedir}/X11/Xmu/EditresP.h
%{_includedir}/X11/Xmu/Error.h
%{_includedir}/X11/Xmu/ExtAgent.h
%{_includedir}/X11/Xmu/Initer.h
%{_includedir}/X11/Xmu/Lookup.h
%{_includedir}/X11/Xmu/Misc.h
%{_includedir}/X11/Xmu/StdCmap.h
%{_includedir}/X11/Xmu/StdSel.h
%{_includedir}/X11/Xmu/SysUtil.h
%{_includedir}/X11/Xmu/WhitePoint.h
%{_includedir}/X11/Xmu/WidgetNode.h
%{_includedir}/X11/Xmu/WinUtil.h
%{_includedir}/X11/Xmu/Xct.h
%{_includedir}/X11/Xmu/Xmu.h
%{_libdir}/libXmu.so
%{_libdir}/libXmuu.so
%{_libdir}/pkgconfig/xmu.pc
%{_libdir}/pkgconfig/xmuu.pc

%changelog
* Sat Nov 19 2022 Funda Wang <fundawang@yeah.net> - 1.1.4-1
- New version 1.1.4

* Mon Oct 10 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.1.3-2
- add doc package

* Thu Apr 07 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.1.3-1
- Init from upstream version 1.1.3

